> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check connector health

> Live probe of one stored connector.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

<ParamField path="connector_id" type="string (string)" required />

### Request body

JSON body of type `GenericObject`.

### Response

`object`

<ResponseField name="connector_id" type="string (uuid)" required />

<ResponseField name="connector_key" type="string" required />

<ResponseField name="connector_type" type="string" required />

<ResponseField name="healthy" type="boolean" required />

<ResponseField name="latency_ms" type="integer" required />

<ResponseField name="error" type="string" />

<ResponseField name="checked_at" type="string (date-time)" required />

### Status codes

| Code  | Meaning                             |
| ----- | ----------------------------------- |
| `200` | Live probe of one stored connector. |
| `400` | Validation error                    |
| `401` | Unauthorized                        |
| `404` | Not found                           |
| `429` | Rate limited                        |
| `500` | Internal error                      |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/{connector_id}/health' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "connector_key": "string",
    "connector_type": "string",
    "healthy": true,
    "latency_ms": 250,
    "error": "string",
    "checked_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
